Check License Key Authorisation

Added in v1.0
POST https://api.example.com/api/check
Requires authentication: x-api-key: YOUR_API_KEY

The API returns a JSON response indicating whether the license is valid.

Headers

  • x-api-key string required

Body parameters

  • id integer required
    The product ID the license key must belong to.
  • info string optional
    Text saved to the license log on a successful check.

Responses

  • 200OK
  • 400No License key
  • 403IP Not Authorised
Request
curl -X POST 'https://api.example.com/api/check' \
  -H 'x-api-key: X-API-KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "id": 123,
  "info": "My application v1.0.0"
}'
Response
OK
{
  "status": "AUTHORISED",
  "pass": true,
  "details": "Authorisation completed - example.com"
}